Jump to content
Sign in to follow this  
gemopa

Message d'erreur lors de l'installation

Recommended Posts

Bonjour,

Au moment ou j'ai cliqué sur la ligne d'intalllation Reçu j'ai ce message:

Parse error:Parse error,ES_CHAINE inattendue,s«convoyeur T_OLD_FUNCTION ou T_FUNCTION ou T_VAR ou ')Dans/mnt/ /www aquadif.fr/www/ecom/installer/classes/LanguagesManager.PHP en ligne 7 



Et dans le fichier LanguagesManager.php:

<? php
include_once (".. / classes / Validate.php");
classeLanguageManager (
   privé$ url_xml;
privé$ lang;
privé$ xml_file;

fonction__construct($ url_xml)(
$ this->loadXML($ url_xml);
       $ this->SetLanguage();
       $ this->getIncludeTradFilename();

   )

   Private FunctionloadXML($ url_xml)(
       mondiale$ erreurs;
if (!$ this->xml_file=simplexml_load_file ($ url_xml))
           $ erreurs="Erreur lors du chargement du fichier XML de la langue: $ url_xml";
   )

   Public FunctiongetIdSelectedLang()(
       retour$ this->lang ['id']; 



Merci d'avance pour votre aide

Share this post


Link to post
Share on other sites

Salut,

Peux tu préciser ton hébergement, la version de ton php et mysql.

Tu bloques à qu'elle étape du processus d'installation ?

Share this post


Link to post
Share on other sites

Bonjour,

Le blocage se fait tout de suite au départ
http://aquadif.fr/ecom/install/

Je crois savoir d'où çà vient . . . peut-être !

Je dois demander au proprio du site qu'il récupère le mot de passe de la base de donnée MySQL,
c'est ce que le fournissseur d'accès m'avait dit il y a quelque temps

à l'heure actuelle je n'ai pas accès à la base de donnée MySQL !

Je vous tiens au courant, je le contacterai lundi matin

merci encore pour votre réponse

Share this post


Link to post
Share on other sites

Salut,

même si tu n'as pas accès à la base de donnée mysql tu dois avoir la première page d'installation qui s'affiche.

Ton serveur est il bien en PHP5 ?

Share this post


Link to post
Share on other sites

Je n'ai pas pensé à cela je vais redemandé mais je crois que c'est une version 4 .???

Share this post


Link to post
Share on other sites

J'ai exactement le meme probleme.
Je suis chez ovh.
J'ai logiquement php5

Share this post


Link to post
Share on other sites

Donc il y a un autre problème

dommage car ce système me plaisait au lieu de prendre un abonnement sur un site payant

peut-être quelqu'un sur ce forum pourra nous aider !!

Share this post


Link to post
Share on other sites
Donc il y a un autre problème

dommage car ce système me plaisait au lieu de prendre un abonnement sur un site payant

peut-être quelqu'un sur ce forum pourra nous aider !!


Salut, quel est l'hébergeur car certains ont php4 et php5 en même temps, mais pour passer de l'un à l'autre il faut rajouter un bout de code dans le fichier .htaccess à la racine du site.

Share this post


Link to post
Share on other sites

c'est hrnet
je vais encore leur passer un coup de fil pour confirmation

je te confirme tout de suite après

Share this post


Link to post
Share on other sites

eh! oui c'est bien çà qui coince

le technicien m'a confirmé que je ne pourrais pas installer prestaShop sur le serveur actuel (php version 4)
il faudrait passer sur un autre serveur

donc là il faut que j'en parle au propriétaire du site, s'il est d'accord pour changer avec le surcout

moi je ne suis que le prestataire de service, ce n'est pas moi qui décide !!

merci encore pour ton aide

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More